package com.mixel.docusphere.config.jwt;

import io.github.cdimascio.dotenv.Dotenv;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class JwtConfig {

    private final Dotenv dotenv = Dotenv.configure().load();

    @Bean
    public String jwtSecret() {
        return dotenv.get("JWT_SECRET_KEY");
    }

    @Bean
    public long jwtExpirationTime() {
        return Long.parseLong(dotenv.get("JWT_EXPIRATION_TIME", "3600000")); // Default 1 hour
    }
}
